Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055860 - Missing a spectrwm.desktop file
Summary: Missing a spectrwm.desktop file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spectrwm
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 05:06 UTC by cd
Modified: 2014-07-01 22:59 UTC (History)
2 users (show)

Fixed In Version: spectrwm-2.4.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-10 03:14:22 UTC


Attachments (Terms of Use)

Description cd 2014-01-21 05:06:20 UTC
Description of problem: This window manager does not include a spectrwm.desktop file. Examples for creating this: https://github.com/conformal/spectrwm/blob/master/linux/spectrwm.desktop


Version-Release number of selected component (if applicable):
20 (probably earlier as well)

How reproducible:
Always


Steps to Reproduce:
1. Install spectrwm
2. Look at /usr/share/applications
3. Look at /usr/share/xsessions

Actual results:
There is no spectrwm.desktop file

Expected results:
The should be a spectrwm.desktop file

Additional info:

Comment 1 Lokesh Mandvekar 2014-01-21 14:15:51 UTC
Good to know I'm not the only spectrwm user on Fedora :)

I was using xinit to begin my spectrwm session and hence didn't really care about the spectrwm.desktop file. Pushing new build out in a bit which should install spectrwm.desktop to /usr/share/xsessions

Thanks!

Comment 2 Fedora Update System 2014-01-21 14:41:47 UTC
spectrwm-2.4.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/spectrwm-2.4.0-2.fc20

Comment 3 Fedora Update System 2014-01-21 14:50:38 UTC
spectrwm-2.4.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/spectrwm-2.4.0-2.fc19

Comment 4 Fedora Update System 2014-01-22 23:04:51 UTC
Package spectrwm-2.4.0-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing spectrwm-2.4.0-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1311/spectrwm-2.4.0-2.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-02-10 03:14:22 UTC
spectrwm-2.4.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-02-10 03:16:43 UTC
spectrwm-2.4.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.